import { App } from 'vue'
import * as components from './components'

// 导出所有组件
export * from './components'

// 导出组件库版本
export const version = '0.0.1'

// 导出安装方法
export const install = (app: App) => {
  Object.entries(components).forEach(([name, module]: [string, any]) => {
    if(name === 'default' || name === 'useConfig') return
    // 检查是否为Vue组件（具有render函数或template属性）
    if (module && (typeof module.render === 'function' || module.template)) {
      app.component(name, module)
    }
  })
}

// 默认导出
export default {
  version,
  install,
  setNiConfig: components.setNiConfig
} 